CVE-2005-1157
CVSS7.5
发布时间 :2005-05-02 00:00:00
修订时间 :2017-07-10 21:32:33
NMC    

[原文]Firefox before 1.0.3, Mozilla Suite before 1.7.7, and Netscape 7.2 allows remote attackers to replace existing search plugins with malicious ones using sidebar.addSearchEngine and the same filename as the target engine, which may not be displayed in the GUI, which could then be used to execute malicious script, aka "Firesearching 2."


[CNNVD]Firefox搜索插件跨站脚本执行漏洞(CNNVD-200505-698)

        Firefox是一款非常流行的开放源码WEB浏览器。
        Firefox中的搜索插件技术基于Apple的sherlock文件。这些文件的安装程序和解析程序中存在漏洞,可能允许创建用作间谍软件和/或执行任意代码载体的搜索引擎。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:mozilla:firefox:0.9.2Mozilla Firefox 0.9.2
cpe:/a:mozilla:firefox:0.9.1Mozilla Firefox 0.9.1
cpe:/a:mozilla:firefox:0.9:rcMozilla Firefox 0.9 rc
cpe:/a:mozilla:mozilla:1.7:betaMozilla Mozilla 1.7 beta
cpe:/a:mozilla:mozilla:1.4:alphaMozilla Mozilla 1.4a
cpe:/a:mozilla:mozilla:1.6:betaMozilla Mozilla 1.6 beta
cpe:/a:mozilla:firefox:1.0Mozilla Firefox 1.0
cpe:/a:mozilla:mozilla:1.5:alphaMozilla Mozilla 1.5 alpha
cpe:/a:mozilla:mozilla:1.6:alphaMozilla Mozilla 1.6 alpha
cpe:/a:mozilla:mozilla:1.6Mozilla Mozilla 1.6
cpe:/a:mozilla:mozilla:1.7.5Mozilla Mozilla 1.7.5
cpe:/a:mozilla:mozilla:1.5Mozilla Mozilla 1.5
cpe:/a:mozilla:mozilla:1.7:alphaMozilla Mozilla 1.7 alpha
cpe:/a:mozilla:mozilla:1.7Mozilla Mozilla 1.7
cpe:/a:mozilla:mozilla:1.7.6Mozilla Mozilla 1.7.6
cpe:/a:mozilla:mozilla:1.7.1Mozilla Mozilla 1.7.1
cpe:/a:mozilla:firefox:0.9.3Mozilla Firefox 0.9.3
cpe:/a:mozilla:mozilla:1.7.3Mozilla Mozilla 1.7.3
cpe:/a:mozilla:mozilla:1.7.2Mozilla Mozilla 1.7.2
cpe:/a:mozilla:firefox:0.10.1Mozilla Firefox 0.10.1
cpe:/a:mozilla:mozilla:1.5.1Mozilla Mozilla 1.5.1
cpe:/a:mozilla:mozilla:1.4.1Mozilla Mozilla 1.4.1
cpe:/a:mozilla:firefox:0.8Mozilla Firefox 0.8
cpe:/a:mozilla:firefox:0.9Mozilla Firefox 0.9
cpe:/a:mozilla:mozilla:1.4Mozilla Mozilla 1.4
cpe:/a:mozilla:mozilla:1.3Mozilla Mozilla 1.3
cpe:/a:mozilla:firefox:0.10Mozilla Firefox 0.10
cpe:/a:mozilla:firefox:1.0.1Mozilla Firefox 1.0.1
cpe:/a:mozilla:firefox:1.0.2Mozilla Firefox 1.0.2
cpe:/a:mozilla:mozilla:1.5:rc2Mozilla Mozilla 1.5 rc2
cpe:/a:netscape:navigator:7.2Netscape Navigator 7.2
cpe:/a:mozilla:mozilla:1.7:rc1Mozilla Mozilla 1.7 rc1
cpe:/a:mozilla:mozilla:1.5:rc1Mozilla Mozilla 1.5 rc1
cpe:/a:mozilla:mozilla:1.7:rc3Mozilla Mozilla 1.7 rc3
cpe:/a:mozilla:mozilla:1.7:rc2Mozilla Mozilla 1.7 rc2

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:9961Firefox before 1.0.3, Mozilla Suite before 1.7.7, and Netscape 7.2 allows remote attackers to replace existing search plugins with malicious...
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1157
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1157
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-698
(官方数据源) CNNVD

- 其它链接及资源

ftp://ftp.sco.com/pub/updates/OpenServer/SCOSA-2005.49/SCOSA-2005.49.txt
(UNKNOWN)  SCO  SCOSA-2005.49
http://www.mikx.de/firesearching/
(UNKNOWN)  MISC  http://www.mikx.de/firesearching/
http://www.mozilla.org/security/announce/mfsa2005-38.html
(VENDOR_ADVISORY)  CONFIRM  http://www.mozilla.org/security/announce/mfsa2005-38.html
http://www.redhat.com/support/errata/RHSA-2005-383.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2005:383
http://www.redhat.com/support/errata/RHSA-2005-384.html
(UNKNOWN)  REDHAT  RHSA-2005:384
http://www.redhat.com/support/errata/RHSA-2005-386.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2005:386
http://www.securityfocus.com/bid/13211
(PATCH)  BID  13211
http://www.securityfocus.com/bid/15495
(UNKNOWN)  BID  15495
https://bugzilla.mozilla.org/show_bug.cgi?id=290037
(PATCH)  CONFIRM  https://bugzilla.mozilla.org/show_bug.cgi?id=290037
https://exchange.xforce.ibmcloud.com/vulnerabilities/20125
(UNKNOWN)  XF  mozilla-plugin-xss(20125)

- 漏洞信息

Firefox搜索插件跨站脚本执行漏洞
高危 访问验证错误
2005-05-02 00:00:00 2005-10-20 00:00:00
远程  
        Firefox是一款非常流行的开放源码WEB浏览器。
        Firefox中的搜索插件技术基于Apple的sherlock文件。这些文件的安装程序和解析程序中存在漏洞,可能允许创建用作间谍软件和/或执行任意代码载体的搜索引擎。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载Firefox 1.0.3或Mozilla Suite 1.7.7:
        http://www.mozilla.org/products/
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站